Loading...
Searching...
No Matches
D3D12_ROOT_PARAMETER Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

D3D12_ROOT_PARAMETER_TYPE | ParameterType
union { |
D3D12_ROOT_DESCRIPTOR_TABLE DescriptorTable |
D3D12_ROOT_CONSTANTS Constants |
D3D12_ROOT_DESCRIPTOR Descriptor |
}; |
D3D12_SHADER_VISIBILITY | ShaderVisibility

## Detailed Description

Definition at line 2990 of file mini_d3d12.h.

## Member Data Documentation

## ParameterType

D3D12_ROOT_PARAMETER_TYPE D3D12_ROOT_PARAMETER::ParameterType

Definition at line 2991 of file mini_d3d12.h.

## DescriptorTable

D3D12_ROOT_DESCRIPTOR_TABLE D3D12_ROOT_PARAMETER::DescriptorTable

Definition at line 2993 of file mini_d3d12.h.

## Constants

D3D12_ROOT_CONSTANTS D3D12_ROOT_PARAMETER::Constants

Definition at line 2994 of file mini_d3d12.h.

## Descriptor

D3D12_ROOT_DESCRIPTOR D3D12_ROOT_PARAMETER::Descriptor

Definition at line 2995 of file mini_d3d12.h.

## [union]

union { ... } D3D12_ROOT_PARAMETER

## ShaderVisibility

D3D12_SHADER_VISIBILITY D3D12_ROOT_PARAMETER::ShaderVisibility

Definition at line 2997 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h